Skip to main content
GET
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
kubernetes
/
{clusterId}
/
apps
List installed apps on a cluster
curl --request GET \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps
{
  "installed_apps": [
    {
      "base": {
        "app_id": "<string>",
        "cluster_id": "<string>",
        "marketplace_app": {
          "app_name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "icon_url": "<string>",
          "documentation_url": "<string>"
        }
      },
      "status": "INSTALLED_APP_STATUS_UNSPECIFIED"
    }
  ],
  "total_count": 123,
  "count": 123
}

Headers

x-user-id
string
x-kong-request-id
string

Path Parameters

accountId
string
required
projectId
string
required
clusterId
string
required

Query Parameters

limit
integer<int64>
offset
integer<int64>

Response

OK

installed_apps
object[]
required
total_count
integer<int64>
required
count
integer<int64>
required